// Code generated by mockery 2.9.4. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	id "maunium.net/go/mautrix/id"

	models "gitlab.com/etke.cc/miounne/v2/models"
)

// MatrixRegistrationClient is an autogenerated mock type for the MatrixRegistrationClient type
type MatrixRegistrationClient struct {
	mock.Mock
}

// CreateToken provides a mock function with given fields: _a0, _a1
func (_m *MatrixRegistrationClient) CreateToken(_a0 string, _a1 string) (*models.RegistrationToken, error) {
	ret := _m.Called(_a0, _a1)

	var r0 *models.RegistrationToken
	if rf, ok := ret.Get(0).(func(string, string) *models.RegistrationToken); ok {
		r0 = rf(_a0, _a1)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.RegistrationToken)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string, string) error); ok {
		r1 = rf(_a0, _a1)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// DisableToken provides a mock function with given fields: _a0
func (_m *MatrixRegistrationClient) DisableToken(_a0 string) (*models.RegistrationToken, error) {
	ret := _m.Called(_a0)

	var r0 *models.RegistrationToken
	if rf, ok := ret.Get(0).(func(string) *models.RegistrationToken); ok {
		r0 = rf(_a0)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.RegistrationToken)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(_a0)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetList provides a mock function with given fields:
func (_m *MatrixRegistrationClient) GetList() ([]models.RegistrationToken, error) {
	ret := _m.Called()

	var r0 []models.RegistrationToken
	if rf, ok := ret.Get(0).(func() []models.RegistrationToken); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]models.RegistrationToken)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func() error); ok {
		r1 = rf()
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetNotifyNew provides a mock function with given fields:
func (_m *MatrixRegistrationClient) GetNotifyNew() bool {
	ret := _m.Called()

	var r0 bool
	if rf, ok := ret.Get(0).(func() bool); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(bool)
	}

	return r0
}

// GetNotifyUse provides a mock function with given fields:
func (_m *MatrixRegistrationClient) GetNotifyUse() bool {
	ret := _m.Called()

	var r0 bool
	if rf, ok := ret.Get(0).(func() bool); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(bool)
	}

	return r0
}

// GetRoomID provides a mock function with given fields:
func (_m *MatrixRegistrationClient) GetRoomID() id.RoomID {
	ret := _m.Called()

	var r0 id.RoomID
	if rf, ok := ret.Get(0).(func() id.RoomID); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(id.RoomID)
	}

	return r0
}

// GetStatus provides a mock function with given fields: _a0
func (_m *MatrixRegistrationClient) GetStatus(_a0 string) (*models.RegistrationToken, error) {
	ret := _m.Called(_a0)

	var r0 *models.RegistrationToken
	if rf, ok := ret.Get(0).(func(string) *models.RegistrationToken); ok {
		r0 = rf(_a0)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.RegistrationToken)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(_a0)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
